# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    cobang
Version: 1.7.3
Release: 1.ndias%{?dist}
Summary: QR Code and barcode scanner application for Linux desktop

License: GPLv3+
URL:     https://github.com/hongquan/CoBang
Source0: https://github.com/hongquan/CoBang/archive/refs/tags/v%{version}.tar.gz
BuildArch: noarch

BuildRequires: blueprint-compiler, meson, gettext, gtk-update-icon-cache
BuildRequires: desktop-file-utils, libadwaita-devel
Requires: python3-single-version, python3-zbar, python3-logbook

%description
CoBang can scan barcode, QR code from webcam or static image, local or remote
In the future, it will support generating QR code and running on Linux phones

%prep
%setup -q -n CoBang-%{version}


%build
%meson
%meson_build

%check

%install
%meson_install

%{find_lang} %{name}

%files -f %{name}.lang
%doc README.rst
%license LICENSE.txt

%attr(0755,-,-) %{_bindir}/%{name}
%{_datadir}/applications/vn.hoabinh.quan.CoBang.desktop
%{_datadir}/icons/hicolor/scalable/apps/vn.hoabinh.quan.CoBang.svg

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{name}

%{_datadir}/%{name}/%{name}.gresource
%{_datadir}/%{name}/%{name}/__init__.py
%{_datadir}/%{name}/%{name}/app.py
%{_datadir}/%{name}/%{name}/consts.py
%{_datadir}/%{name}/%{name}/custom_types.py
%{_datadir}/%{name}/%{name}/logging.py
%{_datadir}/%{name}/%{name}/messages.py
%{_datadir}/%{name}/%{name}/net.py
%{_datadir}/%{name}/%{name}/prep.py
%{_datadir}/%{name}/%{name}/ui.py
%{_datadir}/%{name}/%{name}/window.py
%{_datadir}/%{name}/%{name}/pages/__init__.py
%{_datadir}/%{name}/%{name}/pages/generator.py
%{_datadir}/dbus-1/services/vn.hoabinh.quan.CoBang.service
%{_datadir}/glib-2.0/schemas/vn.hoabinh.quan.CoBang.gschema.xml
%{_datadir}/icons/hicolor/48x48/apps/vn.hoabinh.quan.CoBang.png
%{_datadir}/metainfo/vn.hoabinh.quan.CoBang.metainfo.xml


%changelog
* Tue Jul 08 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.7.3-1.ndias
- Version 1.7.3

* Mon Jun 02 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.7.2-1.ndias
- Version 1.7.2

* Mon May 26 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.7.1-1.ndias
- Version 1.7.1

* Wed Apr 30 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.2-1.ndias
- Version 1.6.2

* Tue Apr 15 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.1-1.ndias
- Version 1.6.1

* Sun Sep 25 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.9.7-1.ndias
- Version 0.9.7
